Unlock Discount Basket (Redemptions 2.0)
When reward locking is enabled in the Punchh Platform, the guest's discount basket must be locked. An external ID will be required to lock the discount basket to prevent other channels from creating simultaneous transactions or modifying the discount basket. In this mode, the guest's discount basket must be locked when discounts are applied to a transaction, using a unique identifier external_uid specific to the transaction generated by your application.
The external_uid ensures that no modifications or updates are allowed by any channel (e.g., POS terminals/devices, mobile, etc.) except the application that initially locked the discount basket with the external_uid. Contact your Punchh representative to update this Punchh platform configuration setting.
In some scenarios, such as where a transaction is cancelled or when the guest modifies the order after the basket is locked, the guest's discount basket needs to be unlocked so that transactions can be processed for the guest via other channels (e.g., POS terminals/devices, mobile, etc.). To unlock the discount basket, the external_uid must be passed in the API request along with the user-level access_token of the guest.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAuthorizationrequired
You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredFor details, see User Agent.
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringclientrequired
Client key of the business
- Type: stringexternal
_uid requiredUnique identifier generated by the system to lock the discount basket to prevent duplicate transactions
- 200
OK - Discount Basket is unlocked successfully.
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/discounts/unlock \
--request PUT \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
--header 'x-pch-digest: SIGNATURE_GOES_HERE' \
--data '{
"client": "CLIENT_GOES_HERE",
"external_uid": "EXTERNAL_UID_GOES_HERE"
}'